PHP K�sikirja
Edellinen |  | Seuraava

# dbase_numfields

(PHP 3, PHP 4 , PHP 5)

dbase_numfields -- Gets the number of fields of a database

## Description

int dbase_numfields ( int dbase_identifier )

Gets the number of fields (columns) in the specified database.

> Huomaa: Field numbers are between 0 and dbase_numfields($db)-1, while record numbers are between 1 and dbase_numrecords($db).

## Parameters

dbase_identifier

  The database link identifier, returned by dbase_open() or dbase_create().

## Return values

The number of fields in the database, or `FALSE` if an error occurs.

## Examples

Esimerkki 1. dbase_numfields() Example

`<?php $rec = dbase_get_record($db, $recno); $nf = dbase_numfields($db); for ($i = 0; $i < $nf; $i++) { echo $rec[$i], "\n"; } ?>`

## See Also

dbase_numrecords()

Edellinen | Alkuun | Seuraava
dbase_get_record | Ylös | dbase_numrecords